Bug 431189 - xorg fails to start with fglrx.
xorg fails to start with fglrx.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-01 08:18 EST by Adrin Jalali
Modified: 2008-02-01 13:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 13:49:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrin Jalali 2008-02-01 08:18:07 EST
Description of problem:
I have these packages installed :
xorg-x11-resutils-7.1-4.fc8.i386
xorg-x11-fonts-Type1-7.2-6.fc9.noarch
xorg-x11-drv-keyboard-1.2.2-3.fc9.i386
xorg-x11-twm-1.0.3-1.fc8.i386
xorg-x11-util-macros-1.1.5-1.fc7.i386
xorg-x11-drv-vesa-1.3.0-12.20071113.fc9.i386
xorg-x11-server-utils-7.3-2.fc9.i386
xorg-x11-drv-fglrx-libs-8.452.1-2.8.01.lvn9.i386
xorg-x11-drv-evdev-1.2.0-1.fc9.i386
xorg-x11-proto-devel-7.3-7.fc9.noarch
xorg-x11-drv-void-1.1.1-8.fc9.i386
xorg-x11-xinit-1.0.7-2.fc8.i386
xorg-x11-xfs-1.0.5-1.fc8.i386
xorg-x11-font-utils-7.2-3.fc9.i386
xorg-x11-drv-mouse-1.2.3-3.fc9.i386
xorg-x11-xkb-utils-7.2-3.fc8.i386
xorg-x11-xauth-1.0.2-3.fc8.i386
xorg-x11-fonts-truetype-7.2-3.fc8.noarch
xorg-x11-xdm-1.1.6-2.fc8.i386
xorg-x11-fonts-ISO8859-1-100dpi-7.2-6.fc9.noarch
xorg-x11-drv-fglrx-8.452.1-2.8.01.lvn9.i386
xorg-x11-utils-7.3-1.fc8.i386
xorg-x11-fonts-100dpi-7.2-6.fc9.noarch
xorg-x11-filesystem-7.1-2.fc6.noarch
xorg-x11-fonts-misc-7.2-6.fc9.noarch
xorg-x11-server-Xorg-1.4.99.1-0.19.20080107.fc9.i386
xorg-x11-apps-7.3-1.fc8.i386
xorg-x11-server-sdk-1.3.0.0-40.fc8.i386
xorg-x11-server-common-1.4.99.1-0.19.20080107.fc9.i386
xorg-x11-drv-fglrx-libs-8.452.1-2.8.01.lvn9.i386
kmod-fglrx-8.452.1-3.8.01.lvn9.i686
xorg-x11-drv-fglrx-8.452.1-2.8.01.lvn9.i386
akmod-fglrx-8.452.1-3.8.01.lvn9.i686

but no X can start and this is the log:

X.Org X Server 1.4.99.2
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-53.1.4.el5.bz358661.1xen i686 
Current Operating System: Linux localhost.localdomain 2.6.24-7.fc9 #1 SMP Mon
Jan 28 20:16:56 EST 2008 i686
Build Date: 29 January 2008  04:53:56AM
Build ID: xorg-x11-server 1.4.99.1-0.19.20080107.fc9 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Feb  1 15:19:53 2008
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "aticonfig-Screen[0]" (0)
(**) |   |-->Monitor "aticonfig-Monitor[0]"
(**) |   |-->Device "aticonfig-Device[0]"
(**) |-->Input Device "Generic Keyboard"
(**) |-->Input Device "Configured Mouse"
(**) |-->Input Device "Synaptics Touchpad"
(**) Option "AIGLX" "on"
(==) Automatically adding devices
(==) Automatically enabling devices
(==) FontPath set to:
	catalogue:/etc/X11/fontpath.d,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(**) Extension "Composite" is disabled
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x81ec500
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 4.0
	X.Org XInput driver : 2.0
	X.Org Server Extension : 1.0
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(++) using VT number 7

(--) PCI:*(0@1:0:0) unknown vendor (0x1002) Radeon Mobility X1400 rev 0, Mem @
0xd0000000/0, 0xefdf0000/0, I/O @ 0x0000ee00/0, BIOS @ 0x????????/131072
(II) System resource ranges:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX[B]
(II) LoadModule: "extmod"

(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.4.99.2, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 1.0
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"

(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.4.99.2, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 1.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"

(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.4.99.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 1.0
(**) AIGLX enabled
(**) Exporting typical set of GLX visuals
(II) Loading extension GLX
(II) LoadModule: "freetype"

(II) Loading /usr/lib/xorg/modules/fonts//libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.4.99.2, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "record"

(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.4.99.2, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 1.0
(II) Loading extension RECORD
(II) LoadModule: "dri"

(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.4.99.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 1.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "fglrx"

(II) Loading /usr/lib/xorg/modules/drivers//fglrx_drv.so
dlopen: /usr/lib/xorg/modules/drivers//fglrx_drv.so: undefined symbol:
miZeroLineScreenIndex
(EE) Failed to load /usr/lib/xorg/modules/drivers//fglrx_drv.so
(II) UnloadModule: "fglrx"
(EE) Failed to load module "fglrx" (loader failed, 7)
(II) LoadModule: "kbd"

(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 1.4.0.1, module version = 1.2.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "mouse"

(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 1.4.0.1, module version = 1.2.3
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "synaptics"

(WW) Warning, couldn't open module synaptics
(II) UnloadModule: "synaptics"
(EE) Failed to load module "synaptics" (module does not exist, 0)
(EE) No drivers available.

Fatal server error:
no screens found

and this is my xorg.conf:
# Xorg configuration created by livna-config-display

Section "ServerLayout"

	# Uncomment if you have a wacom tablet
	#	InputDevice     "stylus"	"SendCoreEvents"
	#	InputDevice     "cursor"	"SendCoreEvents"
	#	InputDevice     "eraser"	"SendCoreEvents"
	Identifier     "Default Layout"
	Screen      0  "aticonfig-Screen[0]" 0 0
	InputDevice    "Generic Keyboard"
	InputDevice    "Configured Mouse"
	InputDevice    "Synaptics Touchpad"
EndSection

Section "Files"

EndSection

Section "ServerFlags"
	Option	    "AIGLX" "on"
EndSection

Section "InputDevice"
	Identifier  "Generic Keyboard"
	Driver      "kbd"
	Option	    "CoreKeyboard"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"
EndSection

Section "InputDevice"
	Identifier  "Configured Mouse"
	Driver      "mouse"
	Option	    "CorePointer"
	Option	    "Device" "/dev/input/mice"
	Option	    "Protocol" "ImPS/2"
	Option	    "ZAxisMapping" "4 5"
	Option	    "Emulate3Buttons" "true"
EndSection

Section "InputDevice"
	Identifier  "Synaptics Touchpad"
	Driver      "synaptics"
	Option	    "SendCoreEvents" "true"
	Option	    "Device" "/dev/psaux"
	Option	    "Protocol" "auto-dev"
	Option	    "HorizEdgeScroll" "0"
EndSection

Section "InputDevice"
	Identifier  "stylus"
	Driver      "wacom"
	Option	    "Device" "/dev/input/wacom"
	Option	    "Type" "stylus"
	Option	    "ForceDevice" "ISDV4"# Tablet PC ONLY
EndSection

Section "InputDevice"
	Identifier  "eraser"
	Driver      "wacom"
	Option	    "Device" "/dev/input/wacom"
	Option	    "Type" "eraser"
	Option	    "ForceDevice" "ISDV4"# Tablet PC ONLY
EndSection

Section "InputDevice"
	Identifier  "cursor"
	Driver      "wacom"
	Option	    "Device" "/dev/input/wacom"
	Option	    "Type" "cursor"
	Option	    "ForceDevice" "ISDV4"# Tablet PC ONLY
EndSection

Section "Monitor"
	Identifier   "Generic Monitor"
	HorizSync    30.0 - 70.0
	VertRefresh  50.0 - 160.0
	Option	    "DPMS"
EndSection

Section "Monitor"
	Identifier   "aticonfig-Monitor[0]"
	Option	    "VendorName" "ATI Proprietary Driver"
	Option	    "ModelName" "Generic Autodetecting Monitor"
	Option	    "DPMS" "true"
EndSection

Section "Device"
	Identifier  "Generic Video Card"
	Driver      "glx"
	BusID       "PCI:1:0:0"
EndSection

Section "Device"
	Identifier  "aticonfig-Device[0]"
	Driver      "fglrx"
	Option	    "OpenGLOverlay" "off"
	Option	    "VideoOverlay" "on"
EndSection

Section "Screen"
	Identifier "Default Screen"
	Device     "Generic Video Card"
	Monitor    "Generic Monitor"
	DefaultDepth     24
EndSection

Section "Screen"
	Identifier "aticonfig-Screen[0]"
	Device     "aticonfig-Device[0]"
	Monitor    "aticonfig-Monitor[0]"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection

Section "Extensions"
	Option "Composite" "Disable"
EndSection
Comment 1 Bill Nottingham 2008-02-01 13:49:52 EST
(II) Loading /usr/lib/xorg/modules/drivers//fglrx_drv.so
dlopen: /usr/lib/xorg/modules/drivers//fglrx_drv.so: undefined symbol:
miZeroLineScreenIndex

The frglx module is not built properly against the current ABI of the X server.
Nothing Fedora can do about it; this is a problem with the frglx driver.

Note You need to log in before you can comment on or make changes to this bug.